@echo off
if %3!==! goto help
if %3==-IC goto start
if %3==-IV goto start
if %3==-IE goto start
if %3==-IA goto start
if %3==-IH goto start
if %3==-IM goto start
if %3==-IO goto start
:help
cls
echo ÿ
echo ÿ
echo Type LPINSTAL followed by the source disk, the destination disk and
echo a code for your display adapter type.  For expample:
echo ÿ
echo LPINSTAL A C -IV
echo ÿ
echo This will install from drive A to drive C. It will install for a
echo VGA monitor.
echo ÿ
echo The display adapter type codes are as follows:
echo ÿ
echo -IC = CGA
echo -IV = VGA
echo -IE = EGA
echo -IA = AT&T - or Gas Plasma
echo -IH = Hercules
echo -IM = MCGA
echo -IO = EGA Monochrome
echo ÿ
echo The display adapter type codes must be entered just as shown; a hyphen
echo followed by two capital letters.
echo ÿ
echo ÿ
goto exit
:start
%2:
md %2:\averydm
md %2:\averydm\graphic
md %2:\averydm\jobs
md %2:\averydm\labels
md %2:\averydm\lists
cd %2:\averydm
copy %1:arcce.exe %2:\averydm
arcce -o  %1:disk1.arc %2:\averydm\ *.cfg
arcce -o  %1:disk1.arc %2:\averydm\ *.ipc
arcce -o  %1:disk1.arc %2:\averydm\ *.exe
arcce -o  %1:disk1.arc %2:\averydm\ *.dat
arcce -o  %1:disk1.arc %2:\averydm\labels *.avl
arcce -o  %1:disk1.arc %2:\averydm\labels *.frm
arcce -o  %1:disk1.arc %2:\averydm\labels *.qpl
if exist %1:disk2.arc goto continue
:loop
echo ÿ
echo **** Insert Disk 2 ****
echo ÿ
pause
if not exist %1:disk2.arc goto loop
:continue
arcce -o  %1:disk2.arc %2:\averydm\graphic *.bcx
arcce -o  %1:disk2.arc %2:\averydm\graphic *.pcx
arcce -o  %1:disk2.arc %2:\averydm\ *.hlp
arcce -o  %1:disk2.arc %2:\averydm\ *.bgi
arcce -o  %1:disk2.arc %2:\averydm\ *.ff1
arcce -o  %1:disk2.arc %2:\averydm\ *.fnt
del arcce.exe >nul
lpdm %3
:exit
